import Request from '../common/request.js';
let request = new Request().http
// 领取
export function companyReceive(data) {
 	return request('/app/coupon/companyReceive',data,'POST','application/json;charset=UTF-8');
 }
 
 // 获取销售可用套餐卷列表
 export function getCompanyCouponIssueList(data) {
 	 return request('/app/coupon/getCompanyCouponIssueList',data,'GET');
 }
 // 获取销售可用套餐卷
 export function getCouponIssueById(data) {
 	 return request(`/app/coupon/getCouponIssueById?id=${data}`,data,'GET');

 }
 // 获取优惠券列表
 export function getCouponIssueList(data) {
 	 return request('/app/coupon/getCouponIssueList',data,'GET');
 }
 // 获取我的优惠券列表
 export function getMyCouponList(data) {
 	 return request('/app/coupon/getMyCouponList',data,'GET');
 }
 // 根据最低消费金额获取我的优惠券列表
 export function getMyEnableCouponList(data) {
 	 return request('/app/coupon/getMyEnableCouponList',data,'GET');
 }
 // 领取
 export function receive(data) {
 	return request('/app/coupon/receive',data,'POST','application/json;charset=UTF-8');
 }
 
 

 
 
 

 